---
title: Get FR Postal Code Rate(s)
slug: api-documentation/get-fr-postal-code-rates
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "HTHYNrYXWDKwFuJmkcxyJ",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate"
      }
    ],
    "name": "Get FR Postal Code Rate(s)",
    "description": "<p>This endpoint is used to get all or some specific postal code rates for FR.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.read</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/xml"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "postalCode",
          "type": "string",
          "description": "The postal code for which we want to get the rates."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// OK\n[\n  {\n    \"siteId\": \"\",\n    \"postalCode\": \"\",\n    \"isActive\": false,\n    \"frPostalRate\": {\n      \"basicDeliveryCharges\": 0,\n      \"basicRateUpperSubtotalLimit\": 0,\n      \"basicRatePromotionalSubtotalLimit\": 0,\n      \"premiumDeliveryCharges\": 0,\n      \"baseMinimumCost\": 0,\n      \"baseMaximumCost\": 0,\n      \"percentageSubtotal\": 0\n    }\n  }\n]"
          },
          {
            "label": "example-1",
            "code": "[\n  {\n    \"siteId\": \"201cb789-4198-488b-a5eb-4e7df0fb4bee\",\n    \"postalCode\": \"123\",\n    \"isActive\": true,\n    \"frPostalRate\": {\n      \"basicDeliveryCharges\": 10,\n      \"basicRateUpperSubtotalLimit\": 10,\n      \"basicRatePromotionalSubtotalLimit\": 100,\n      \"premiumDeliveryCharges\": 20,\n      \"baseMinimumCost\": 50,\n      \"baseMaximumCost\": 80,\n      \"percentageSubtotal\": 7\n    }\n  }\n]"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "FRPostalCodeRate[]",
            "schema": [
              {
                "name": "siteId",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "postalCode",
                "kind": "required",
                "type": "string",
                "description": "",
                "minLength": 1
              },
              {
                "name": "isActive",
                "kind": "optional",
                "type": "boolean",
                "description": "",
                "default": true
              },
              {
                "name": "frPostalRate",
                "kind": "required",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "basicDeliveryCharges",
                    "kind": "required",
                    "type": "number",
                    "description": "",
                    "minimum": 0,
                    "maximum": 9999
                  },
                  {
                    "name": "basicRateUpperSubtotalLimit",
                    "kind": "required",
                    "type": "number",
                    "description": "",
                    "minimum": 0,
                    "maximum": 999999
                  },
                  {
                    "name": "basicRatePromotionalSubtotalLimit",
                    "kind": "optional",
                    "type": "number",
                    "description": "",
                    "minimum": 0,
                    "maximum": 999999
                  },
                  {
                    "name": "premiumDeliveryCharges",
                    "kind": "required",
                    "type": "number",
                    "description": "",
                    "minimum": 0,
                    "maximum": 9999
                  },
                  {
                    "name": "baseMinimumCost",
                    "kind": "required",
                    "type": "number",
                    "description": "",
                    "minimum": 0,
                    "maximum": 999999
                  },
                  {
                    "name": "baseMaximumCost",
                    "kind": "required",
                    "type": "number",
                    "description": "",
                    "minimum": 0,
                    "maximum": 999999
                  },
                  {
                    "name": "percentageSubtotal",
                    "kind": "required",
                    "type": "number",
                    "description": "",
                    "minimum": 0,
                    "maximum": 100
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/FRPostalCodeRate",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "M_cKyBuAp9HRh0LVSBVe9",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "fh4M3KxJk43nQaDa_qlAt",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "gNZCnBnw4MAyfySbHQFZc",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "l1EWvHHAtrURiD1dk0Pj7",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "M_cKyBuAp9HRh0LVSBVe9"
    },
    "results": {
      "languages": [
        {
          "id": "f9KWVqCrWHc6VwasA81Je",
          "language": "200",
          "code": "// OK\n[\n  {\n    \"siteId\": \"\",\n    \"postalCode\": \"\",\n    \"isActive\": false,\n    \"frPostalRate\": {\n      \"basicDeliveryCharges\": 0,\n      \"basicRateUpperSubtotalLimit\": 0,\n      \"basicRatePromotionalSubtotalLimit\": 0,\n      \"premiumDeliveryCharges\": 0,\n      \"baseMinimumCost\": 0,\n      \"baseMaximumCost\": 0,\n      \"percentageSubtotal\": 0\n    }\n  }\n]",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// OK\n[\n  {\n    \"siteId\": \"\",\n    \"postalCode\": \"\",\n    \"isActive\": false,\n    \"frPostalRate\": {\n      \"basicDeliveryCharges\": 0,\n      \"basicRateUpperSubtotalLimit\": 0,\n      \"basicRatePromotionalSubtotalLimit\": 0,\n      \"premiumDeliveryCharges\": 0,\n      \"baseMinimumCost\": 0,\n      \"baseMaximumCost\": 0,\n      \"percentageSubtotal\": 0\n    }\n  }\n]"
            },
            {
              "label": "example-1",
              "code": "[\n  {\n    \"siteId\": \"201cb789-4198-488b-a5eb-4e7df0fb4bee\",\n    \"postalCode\": \"123\",\n    \"isActive\": true,\n    \"frPostalRate\": {\n      \"basicDeliveryCharges\": 10,\n      \"basicRateUpperSubtotalLimit\": 10,\n      \"basicRatePromotionalSubtotalLimit\": 100,\n      \"premiumDeliveryCharges\": 20,\n      \"baseMinimumCost\": 50,\n      \"baseMaximumCost\": 80,\n      \"percentageSubtotal\": 7\n    }\n  }\n]"
            }
          ]
        },
        {
          "id": "aLDInVItZMqm6HPgDh11R",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "FZuU7oerWOlFm_S4l_p6v",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "f9KWVqCrWHc6VwasA81Je"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}